Intel® oneAPI HPC Toolkit
Get help with building, analyzing, optimizing, and scaling high-performance computing (HPC) applications.
Announcements
The Intel sign-in experience is changing in February to support enhanced security controls. If you sign in, click here for more information.

Intel MPI : Fortran 2008 Error

aruhela
Novice
846 Views

Hi Intel Support Team,

One of our staff is trying to compile a Fortran 2008 program with GNU Fortran compilers.  He has observed, "f951: Fatal Error: Reading module 'mpi_f08' at line 1 column 2: Unexpected EOF" for the line "use mpi_f08" in his program.

Program count.F90
  use mpi_f08
end Program GetCount

 


[staff f08:467] module load intel Lmod is automatically replacing "gcc/9.1.0" with "intel/19.1.1". Due to MODULEPATH changes, the following have been reloaded: 1) impi/19.0.9 2) petsc/3.16 3) python3/3.9.2
[staff f08:468] mpif90 -c count.F90 [staff f08:469] module load gcc Lmod is automatically replacing "intel/19.1.1" with "gcc/9.1.0". Due to MODULEPATH changes, the following have been reloaded: 1) impi/19.0.9 2) petsc/3.16 3) python3/3.9.2
[staff f08:470] mpif90 -c count.F90 f951: Fatal Error: Reading module 'mpi_f08' at line 1 column 2: Unexpected EOF compilation terminated.

 

As the documentation on the Intel webpage https://www.intel.com/content/www/us/en/developer/articles/release-notes/mpi-library-release-notes-l... show Fortran 2008 bindings are supported in intel MPI,  could you please suggest us a solution to the issue?

 

Thanks,

Amit Ruhela

 

0 Kudos
6 Replies
HemanthCH_Intel
Moderator
829 Views

Hi,

 

Thank you for posting in Intel Communities.

 

We are able to reproduce your issue on Ubuntu 18.04. we will get back to you soon regarding this issue.

HemanthCH_Intel_1-1644923793312.png

However, we tried compiling the below-attached sample code(hello.f90) using mpiifort which worked fine.

HemanthCH_Intel_2-1644923858592.png

 

 

Thanks & Regards,

Hemanth

 

HemanthCH_Intel
Moderator
810 Views

Hi,


>>"We are able to reproduce your issue on Ubuntu 18.04. we will get back to you soon regarding this issue."

Intel MPI doesn't support f08 bindings with gfortran (mpif90 wrapper)in Linux. You can only build it with ifort (mpiifort).


Thanks & Regards,

Hemanth


aruhela
Novice
803 Views

Thanks Hemanth,

 

Do you plan to add support in further releases?

 

Thanks

Amit

HemanthCH_Intel
Moderator
764 Views

Hi,


>>"Do you plan to add support in further releases?"

Could you please refer to the release notes for the latest information, known issues, and limitations of Intel MPI in future releases?


Thanks & regards,

Hemanth,


aruhela
Novice
755 Views

Thanks Hemanth,

 

We wish to see the f08 binding in the next software release. You may close the ticket.

 

 

HemanthCH_Intel
Moderator
731 Views

Hi,


Glad to know that your issue is resolved. If you need any additional information, please post a new question as this thread will no longer be monitored by Intel.


Thanks & Regards,

Hemanth.


Reply